Bug 427119 - Minor alteration needed for mod_security example in phpMyAdmin.conf file
Minor alteration needed for mod_security example in phpMyAdmin.conf file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: phpMyAdmin (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 18:20 EST by Daniel McNamara
Modified: 2008-01-16 19:08 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.11.4-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 17:55:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel McNamara 2007-12-31 18:20:27 EST
Description of problem:

Currently the /etc/httpd/conf.d/phpMyAdmin.conf file has an example reading:

# This configuration prevents mod_security at phpMyAdmin directories from
# filtering SQL etc.  This may break your mod_security implementation.
#
#<IfModule mod_security.c>
#    <LocationMatch "/phpMyAdmin/(.+)">
#        SecFilterInheritance Off
#    </LocationMatch>
#</IfModule>

This example no longer works with the active  version of mod_security shipping
with F8. Minor modification to change line reading:

SecFilterInheritance Off

To:

SecRuleInheritance Off

Version-Release number of selected component (if applicable):

phpMyAdmin-2.11.3-1.fc8

How reproducible:

Everytime

Steps to Reproduce:
1. Uncomment mod_security example config in phpMyAdmin.conf file (using current
mod_security package - mod_security-2.1.3-1.fc8)
2. Run httpd -t to check syntax - be greeted by "Invalid command
'SecFilterInheritance', perhaps misspelled or defined by a module not included
in the server configuration"
3. Reliase that syntax changed in mod_security release and change entry to
SecRuleInheritance Off
  
Actual results:

Syntax incorrect resulting in failure to parse config

Expected results:

Syntax to be correct :)

Additional info:

Not a high priority bug. Obviously just a documentary entry overlooked when
mod_security changed
Comment 1 Robert Scheck 2008-01-13 15:07:31 EST
I pushed a phpMyAdmin update which contains this small fix as well, see:
https://admin.fedoraproject.org/updates/F8/pending/phpMyAdmin-2.11.4-1.fc8
Comment 2 Fedora Update System 2008-01-15 17:55:24 EST
phpMyAdmin-2.11.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-01-15 18:10:17 EST
phpMyAdmin-2.11.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Daniel McNamara 2008-01-16 19:08:16 EST
Confirm change rolled correctly.

Note You need to log in before you can comment on or make changes to this bug.